Package ghidra.graph.viewer.event.mouse

# Class VisualGraphSatelliteNavigationGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>

java.lang.Object
edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
ghidra.graph.viewer.event.mouse.VisualGraphAbstractGraphMousePlugin<V,E>
ghidra.graph.viewer.event.mouse.VisualGraphSatelliteAbstractGraphMousePlugin<V,E>
ghidra.graph.viewer.event.mouse.VisualGraphSatelliteNavigationGraphMousePlugin<V,E>

All Implemented Interfaces:
  `edu.uci.ics.jung.visualization.control.GraphMousePlugin`, `VisualGraphMousePlugin<V,E>`, `MouseListener`, `MouseMotionListener`, `EventListener`

public class VisualGraphSatelliteNavigationGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>> extends VisualGraphSatelliteAbstractGraphMousePlugin<V,E>

- ## Field Summary

  ### Fields inherited from class ghidra.graph.viewer.event.mouse.VisualGraphAbstractGraphMousePlugin

  `isHandlingMouseEvents, selectedEdge, selectedVertex`

  ### Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `cursor, down, modifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VisualGraphSatelliteNavigationGraphMousePlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `mousePressed(MouseEvent e)`

  ### Methods inherited from class ghidra.graph.viewer.event.mouse.VisualGraphSatelliteAbstractGraphMousePlugin

  `getSatelliteLensInSatelliteViewSpace, isInSatelliteLensArea, moveMasterViewerToMousePoint, shouldShowCursor, translateSatelliteViewPointToLayoutPoint`

  ### Methods inherited from class ghidra.graph.viewer.event.mouse.VisualGraphAbstractGraphMousePlugin

  `checkForEdge, checkForVertex, checkModifiers, installCursor, isOverEdge, isOverVertex, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseReleased, pickEdge, pickVertex, resetState`

  ### Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin

  `getCursor, getModifiers, setCursor, setModifiers`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.graph.viewer.event.mouse.VisualGraphMousePlugin

  `dispose, getGraphViewer, getSatelliteGraphViewer, getViewer, getViewUpdater, getViewUpdater`

- ## Constructor Details

  - ### VisualGraphSatelliteNavigationGraphMousePlugin

    public VisualGraphSatelliteNavigationGraphMousePlugin()

- ## Method Details

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Specified by:
      `mousePressed` in interface `MouseListener`
    Overrides:
      `mousePressed` in class `VisualGraphAbstractGraphMousePlugin<V extends VisualVertex,E extends VisualEdge<V>>`